﻿input[type="email"], input[type="text"], input[type="password"], input[type="date"], textarea, select {
    font-family: robotoregular;
    font-weight: 300;
    color: #000;
    border-radius: 5px;
    border: 1px dotted #14a098;
    transition: background-color 0.25s;
    padding: 2px;
    /*background-color: rgba(30, 164, 173, 0.1);*/
    background-color: #FFF;
    margin-bottom:2px;
}
.studentbadge {
    height: 200px;
    width: 200px;
    background-color: #fff;
    border-radius: 50%;
    overflow: hidden;
    text-align: center;
    box-shadow: 0px 0px 0px 4px rgba(229,229,229,1), 0px 0px 0px 10px rgba(255,255,255,1);
    transition: background-color linear 0.25s, box-shadow linear 0.2s;
}
    .studentbadge:hover {
        background-color: #e8fdff;
        /*box-shadow: 0px 0px 0px 4px rgba(229,229,229,1), 0px 0px 0px 10px rgba(255,255,255,1), 0px 0px 30px 10px rgba(0,0,0,0.3);*/
        box-shadow: 0px 0px 0px 4px rgba(229,229,229,1), 0px 0px 0px 10px rgba(255,255,255,1), 0px 0px 2px 21px rgba(0,0,0,0.1);
    }
    .studentbadge .studentphoto {
        width: 65px;
        height: 65px;
        background-color: #fff;
        margin: 5px auto 5px auto;
    }
        .studentbadge .studentphoto img {
            width: 140%;
            margin-left: -10px;
        }

.connectband {
    background-color: #fff;
    margin-top: 10px;
    border-radius: 10px;
    position: relative;
}
    .connectband.msg.unread {
        background-color: rgb(203 45 111 / 9%);
        border: 2px solid #cb2d6f;
    }
    .connectband.msg.read {
        background-color: #f7f7f7;
        border: 1px solid #D2D2D2;
        margin: 10px 20px;
    }

    .connectband.useicon:before {
        position: absolute;
        font-weight: 900;
        font-family: 'Font Awesome 6 Pro';
        transform: rotate(-3deg);
    }
        .connectband.useicon.msg.unread:before {
            content: "\f0e0";
        }
        .connectband.useicon.msg.read:before {
            content: "\f2b6";
        }
        .connectband.useicon.news:before {
            content: "\f1ea";
        }
        .connectband.useicon.contact:before {
            content: "\f2c1";
        }
        .connectband.useicon.mobile:before {
            content: "\f3cd";
        }
        .connectband.useicon.address:before {
            content: "\f2bb";
        }
        .connectband.useicon.settings:before {
            content: "\f1de";
        }
        .connectband.useicon.password:before {
            content: "\f084";
        }
        .connectband.useicon.multiusers:before {
            content: "\f0c0";
        }
        .connectband.useicon.login:before {
            content: "\f2f6";
        }
        .connectband.useicon.connectto:before {
            content: "\f542";
        }
        .connectband.useicon.email:before {
            content: "\f1fa";
        }
        .connectband.useicon.pdf:before {
            content: "\f1c1";
        }


.foot {
    font-family: 'robotoregular';
    border-top: 1px solid #D2D2D2;
    margin-top: 5px;
    text-align: right;
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-end;
}

.studentphoto {
    border-radius: 50%;
    border: 0px solid #fff;
    overflow: hidden;
}
#pSideBarStudentName .studentphoto {
    width: 35px;
    height: 35px;
    left: -4px;
    border-radius: 50%;
    box-shadow: 0px 0px 12px 2px rgba(255,255,255,1);
}
.studenttitle {
    font-family: 'roboto_condensedbold';
    /*color: #666;*/
}
    .studenttitle.large {
        font-size: 22pt;
    }
    .studenttitle.small {
        font-size: 16pt;
    }
    .studenttitle.medium {
        font-size: 18pt;
    }
.summaryattendance div {
    display: inline-block;
}
.inlinedata span {
    display: inline-block;
    margin: 1px 7px 1px 7px;
    border: 1px dotted transparent;
    border-radius: 5px;
    padding: 3px;
    font-weight:bold;
    width:50%;
}
.inlinedata span:first-child {
    width:170px;
    text-align:right;
}
p {
    margin:6px;
}
.pdflink {
    background-color: #B32D78;
    border-radius: 5px;
    padding: 4px 13px 4px 13px;
    text-decoration: none;
    cursor: pointer;
    color: #fff;
    display: inline-block;
    transition: box-shadow linear 0.2s;
    box-shadow: 1px 1px 2px 1px rgb(0 0 0 / 20%);
}
    .pdflink:hover {
        box-shadow: 1px 1px 3px 3px rgb(0 0 0 / 30%);
        text-decoration: underline;
    }
.infobox {
    display: inline-block;
    padding: 10px;
    border-radius: 5px;
}
    .infobox.good {
        background-color: #e7fbea;
    }
    .infobox.bad {
        background-color: #cc6666;
        color: #fff;
    }
.insideinfobox {
    background-color: #e7fbea;
    font-size: 95% !important;
    padding: 5px;
    border-radius: 5px;
    margin-top: 3px;
    border: 1px solid rgb(0 0 0 / 13%);
}
h3 {
    font-family: 'roboto_condensedbold';
    font-size: 16px;
}
#dPEContainer a {
    text-decoration: none;
}
    #dPEContainer a:before, ._appointmenttime:before {
        position: absolute;
        font-weight: 900;      
        font-family: 'Font Awesome 6 Pro';
    }
    #dParentsEvenings a {
        display: block;
        color: #0f292f;
        padding-left:32px;
    }
    #dParentsEvenings a:before {
        margin-left: -28px;
    }
    #pEvening a:before {
        content: "\f073";
        font-size: 18pt;
    }
#pStaff a:before {
    content: "\f234";
    font-size: 12pt;
}
    #dParentsEvenings a span {
        display:block;
    }
    #dParentsEvenings a span:first-child, #pAppointment span:last-child {
        font-family: roboto_condensedbold;
        font-size:15pt;
    }
        #dParentsEvenings a span:last-child {
            font-size: 13pt;
            font-family: roboto_condensedlight;
        }
._time, ._appointmenttime {
    position: relative;
    box-shadow: 2px 2px 8px rgba(0, 0, 0, 0.4);
    border-radius: 5px;
    display: inline-block;
    margin: 2px 2px 2px 12px;
}
._time {
    background-color: #455e64;
}
._appointmenttime {
    background-color: #000;
    padding-top:2px;
    padding-bottom:2px;
}
._appointment {
    display: block;
    background-color: rgba(161, 69, 167, 0.13);
    border-radius: 5px;
    padding: 3px;
    margin: 5px 12px 5px 18px;
    position: relative;
}
    ._normal ._time a {
        padding: 0px 10px 0px 26px;
        color: #d2f1a2;
    }
    ._normal ._appointmenttime {
        color: #d2f1a2;
    }
    ._appointmenttime a {
        padding: 0px 10px 0px 23px;
        color: #d2f1a2;
    }
        ._normal ._time a:before, ._normal ._appointmenttime:before {
            left: 5px;
            top: 3px;
            font-size: 9pt;
        }
        ._normal ._time a:before {
            content: "\f234";
        }
        ._normal ._appointmenttime:before {
            content: "\f4ff";
            margin-top: 2px;
        }
._exampletime:before {
    position: absolute;
    font-weight: 900;
    font-family: 'Font Awesome 6 Pro';
    content: "\f234";
    left: 5px;
    top: 3px;
    font-size: 9pt;
}

._exampletime {
    padding: 0px 10px 0px 26px;
    color: #d2f1a2;
    text-decoration: none;
    background-color: #455e64;
    box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.4);
    border-radius: 5px;
    display: inline-block;
    margin: 2px 2px 2px 2px;
    position: relative;
}

.smalllabel {
    font-family: roboto_condenseditalic;
    font-size: 9pt;
    display:inline-block;
    margin-left:5px;
}
.staffbutton {
    padding: 3px 10px 3px 33px;
    font-size: 12pt;
    margin: 3px 7px;
    position:relative;
        border-radius: 5px;
}
    .staffbutton._unselected {
        border-style: dashed;
        border-width: 1px;
        border-color: rgb(15 41 47 / 30%);
        background-color: rgba(161, 69, 167, 0.07);
    }
    .staffbutton._selected {
        background-color: rgba(161, 69, 167, 0.15);
        font-weight: bold;
        box-shadow: 0px 0px 1px 2px rgb(15 41 47);
        border-style: none;
    }
.eveningbutton {
    display: inline-block !important;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    border-bottom-style: none;
        margin-bottom: -2px;
}
    .eveningbutton._ebunselected {
        background-color: rgba(161, 69, 167, 0.05);
        padding: 3px;
        border: 1px dashed rgb(15 41 47 / 55%);
        color: rgb(15 41 47 / 55%);
    }
    .eveningbutton._ebselected {
        background-color: rgba(161, 69, 167, 0.15);
        font-weight: bold;
        padding: 8px;
        border: 2px solid #0f292f;
    }
input[type="radio"]:checked + label {
    font-weight: bold;
}

.btnPrint {
    background-color: #469dea;
    border-radius: 5px;
    color: #fff;
    padding: 3px 5px;
    box-shadow: 0px 1px 10px rgba(0,0,0,0.3);
    float: right;
    margin-top: -36px;
    cursor: pointer;
}

    .btnPrint:hover {
        background-color: #0f292f;
        border-radius: 5px;
        color: #fff;
        padding: 3px 5px;
        box-shadow: 0px 1px 10px rgba(0,0,0,0.3);
        float: right;
        margin-top: -36px;
        cursor: pointer;
    }
#lkbToggle {
    position: absolute;
    font-size: 30px;
    cursor: pointer;
    top: 19px;
    right: 30px;
    color: #000;
    text-decoration: none;
}
._dataTitle {
    font-weight: bold;
    border-bottom: 1px solid #cb2d6f;
    margin-top: 10px;
    margin-bottom: 5px;
}